Update bank transaction (partial)
curl --request PATCH \
--url https://staging-api.tyms.io/v1/adam/bank-transactions/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"date": "2023-12-25",
"narration": "<string>",
"status": "<string>",
"account": "<string>",
"link_destination": "<string>",
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
'import requests
url = "https://staging-api.tyms.io/v1/adam/bank-transactions/{uuid}"
payload = {
"date": "2023-12-25",
"narration": "<string>",
"status": "<string>",
"account": "<string>",
"link_destination": "<string>",
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
narration: '<string>',
status: '<string>',
account: '<string>',
link_destination: '<string>',
branch_uuid: '<string>',
department_uuid: '<string>',
project_uuid: '<string>'
})
};
fetch('https://staging-api.tyms.io/v1/adam/bank-transactions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Bank transaction updated successfully",
"data": {
"uuid": "cc0e8400-e29b-41d4-a716-446655440008",
"narration": "Updated description"
}
}Bank transactions
Update bank transaction (partial)
PATCH
/
bank-transactions
/
{uuid}
Update bank transaction (partial)
curl --request PATCH \
--url https://staging-api.tyms.io/v1/adam/bank-transactions/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"date": "2023-12-25",
"narration": "<string>",
"status": "<string>",
"account": "<string>",
"link_destination": "<string>",
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
'import requests
url = "https://staging-api.tyms.io/v1/adam/bank-transactions/{uuid}"
payload = {
"date": "2023-12-25",
"narration": "<string>",
"status": "<string>",
"account": "<string>",
"link_destination": "<string>",
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
narration: '<string>',
status: '<string>',
account: '<string>',
link_destination: '<string>',
branch_uuid: '<string>',
department_uuid: '<string>',
project_uuid: '<string>'
})
};
fetch('https://staging-api.tyms.io/v1/adam/bank-transactions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Bank transaction updated successfully",
"data": {
"uuid": "cc0e8400-e29b-41d4-a716-446655440008",
"narration": "Updated description"
}
}Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Path Parameters
Body
application/json
Branch id from GET /branches. A name is not accepted.
Department id from GET /departments. A name is not accepted, and an unknown id does not create a department.
Project id from GET /projects. A name is not accepted, and an unknown id does not create a project.
Response
200 - application/json
Bank transaction updated (partial)